.half-image-text-row {
    display: flex;
    align-items: center;
}

.half-image-text-row--image-on-right {
    flex-direction: row-reverse;
}

.half-image-text__image-content {
    margin-bottom: 40px;
}

.half-image-text__image-content img {
    margin: auto;
}

@media (min-width: 1025px) {
    .half-image-text-row--image-on-left .half-image-text__text-content {
        padding-left: 50px;
    }

    .half-image-text-row--image-on-right .half-image-text__text-content {
        padding-right: 50px;
    }

    .half-image-text__image-content {
        margin-bottom: 0;
    }
}

@media (min-width: 1025px) {
    .half-image-text--fluid {
        .half-image-text__image {
            flex: 350px 0 0;
            max-width: 50%;
            width: auto;

            .half-image-text__image-content img {
                height: 100%;
            }            
        }

        .half-image-text__content {
            flex: 2;
            width: auto;
        }
    }

    .half-image-text--row--top {
        align-items: initial;

        .half-image-text__text-content {
            position: sticky;
            top: 185px;
        }
    }
}